Class | Sequel::SQL::NumericExpression
In: | lib/sequel/sql.rb
Parent: | ComplexExpression

Subclass of `ComplexExpression` where the expression results in a numeric value in SQL.

### Methods

+ sql_number

### Included Modules

BitwiseMethods NumericMethods InequalityMethods

### Public Instance methods

+(ce)

Always use + for + operator for NumericExpressions.

[Source]

          # File lib/sequel/sql.rb, line 1232
    1232:       def +(ce)
    1233:         NumericExpression.new(:+, self, ce)
    1234:       end

sql_number()

Return self instead of creating a new object to save on memory.

[Source]

          # File lib/sequel/sql.rb, line 1237
    1237:       def sql_number
    1238:         self
    1239:       end

[Validate]